# svn_wc_status_t Struct Reference
[Working copy status.]

Same as svn_wc_status2_t, but without the svn_lock_t 'repos_lock' field. More...

`#include <svn_wc.h>`

## Data Fields
const svn_wc_entry_t * | entry
| Can be `NULL` if not under version control.
enum svn_wc_status_kind | text_status
| The status of the entries text.
enum svn_wc_status_kind | prop_status
| The status of the entries properties.
svn_boolean_t | locked
| a directory can be 'locked' if a working copy update was interrupted.
svn_boolean_t | copied
| a file or directory can be 'copied' if it's scheduled for addition-with-history (or part of a subtree that is scheduled as such.
svn_boolean_t | switched
| a file or directory can be 'switched' if the switch command has been used.
enum svn_wc_status_kind | repos_text_status
| The entry's text status in the repository.
enum svn_wc_status_kind | repos_prop_status
| The entry's property status in the repository.

## Detailed Description

Same as svn_wc_status2_t, but without the svn_lock_t 'repos_lock' field.

Deprecated:
  Provided for backward compatibility with the 1.1 API.

Definition at line 3741 of file svn_wc.h.

## Field Documentation

svn_boolean_t svn_wc_status_t::copied

a file or directory can be 'copied' if it's scheduled for addition-with-history (or part of a subtree that is scheduled as such.

).

Definition at line 3758 of file svn_wc.h.

const svn_wc_entry_t* svn_wc_status_t::entry

Can be `NULL` if not under version control.

Definition at line 3744 of file svn_wc.h.

svn_boolean_t svn_wc_status_t::locked

a directory can be 'locked' if a working copy update was interrupted.

Definition at line 3753 of file svn_wc.h.

enum svn_wc_status_kind svn_wc_status_t::prop_status

The status of the entries properties.

Definition at line 3750 of file svn_wc.h.

enum svn_wc_status_kind svn_wc_status_t::repos_prop_status

The entry's property status in the repository.

Definition at line 3769 of file svn_wc.h.

enum svn_wc_status_kind svn_wc_status_t::repos_text_status

The entry's text status in the repository.

Definition at line 3766 of file svn_wc.h.

enum svn_wc_status_kind svn_wc_status_t::text_status

The status of the entries text.

Definition at line 3747 of file svn_wc.h.

The documentation for this struct was generated from the following file:

- svn_wc.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines